#
# spec file for package gnome-desktop (Version 2.91.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define IS_DEFAULT_GNOME_DESKTOP 0

Name:           gnome-desktop
Version:        2.91.3
Release:        2
License:        LGPLv2.1+
Summary:        The GNOME Desktop API Library
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM gnome-desktop-gdk_functions.patch dimstar@opensuse.org -- Replace GDK macro usage with proper function name, taken from git.
Patch0:         gnome-desktop-gdk_functions.patch
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch2:         gnome-desktop-desktop.patch
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the gnome-about program as well as some
desktop-wide documents.

%if %IS_DEFAULT_GNOME_DESKTOP

%package -n gnome-about
License:        GPLv2+
Summary:        Information dialog about GNOME
Group:          System/GUI/GNOME
Recommends:     %{name}-lang

%description -n gnome-about
The gnome-about program helps find which version of GNOME is
installed.
%endif

%package -n libgnome-desktop-3-0
License:        LGPLv2.1+
Summary:        The GNOME Desktop API Library
Group:          System/GUI/GNOME
Requires:       gsettings-desktop-schemas
Recommends:     %{name}-lang
Provides:       %{name} = %{version}
%if %IS_DEFAULT_GNOME_DESKTOP
Obsoletes:      %{name} < %{version}
%endif

%description -n libgnome-desktop-3-0
The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n libgnome-desktop-3-devel
License:        LGPLv2.1+
Summary:        The GNOME Desktop API Library -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libgnome-desktop-3-0 = %{version}
%if %IS_DEFAULT_GNOME_DESKTOP
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}
%endif

%description -n libgnome-desktop-3-devel
The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%lang_package
%prep
%setup -q
%patch0 -p1
translation-update-upstream
%patch2 -p0

%build
%configure --with-pic\
	--disable-static\
	--disable-scrollkeeper\
	--with-gnome-distributor="SUSE"\
%if ! %IS_DEFAULT_GNOME_DESKTOP
        --disable-gnome-about \
        --disable-desktop-docs \
%endif
        --disable-date-in-gnome-version
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/ig/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1130
%{__rm} %{buildroot}%{_datadir}/locale/kg/LC_MESSAGES/*
%endif
%find_lang %{name}-3.0
%if %IS_DEFAULT_GNOME_DESKTOP
%find_lang fdl %{name}-3.0.lang
%find_lang gpl %{name}-3.0.lang
%find_lang lgpl %{name}-3.0.lang
%suse_update_desktop_file gnome-about Documentation
%endif
%{__rm} -vf %{buildroot}%{_libdir}/*.la
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post -n libgnome-desktop-3-0 -p /sbin/ldconfig

%postun -n libgnome-desktop-3-0 -p /sbin/ldconfig

%if %IS_DEFAULT_GNOME_DESKTOP

%files -n gnome-about
%defattr (-, root, root)
%doc COPYING
%{_bindir}/gnome-about
%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about/
%doc %{_mandir}/man1/gnome-about.1*
%endif

%files -n libgnome-desktop-3-0
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB NEWS README
%{_datadir}/libgnome-desktop-3.0/
%{_libdir}/libgnome-desktop-3.so.*

%files -n libgnome-desktop-3-devel
%defattr (-, root, root)
%{_includedir}/gnome-desktop-3.0/
%{_libdir}/libgnome-desktop-3.so
%{_libdir}/pkgconfig/gnome-desktop-3.0.pc
%doc %{_datadir}/gtk-doc/html/gnome-desktop3/

%files lang -f %{name}-3.0.lang

%changelog
